source: extensions/grum_plugins_classes-2/main.inc.php @ 6299

Revision 5424, 2.5 KB checked in by grum, 10 years ago (diff)

Update the plugin for compatibility with Piwigo 2.1

  • Property svn:executable set to *
Line 
1<?php
2/*
3Plugin Name: Grum Plugins Classes.2
4Version: 2.0.5
5Description: Collection de classes partagées entre mes plugins (existants, ou à venir) / Partaged classes between my plugins (actuals or futures)
6Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=199
7Author: grum@piwigo.org
8Author URI: http://photos.grum.fr/
9*/
10
11/*
12--------------------------------------------------------------------------------
13  Author     : Grum
14    email    : grum@grum.dnsalias.com
15    website  : http://photos.grum.dnsalias.com
16    PWG user : http://forum.phpwebgallery.net/profile.php?id=3706
17
18    << May the Little SpaceFrog be with you ! >>
19--------------------------------------------------------------------------------
20
21:: HISTORY
22
23| release | date       |
24| 2.0.0   | 2008/07/20 | * convert classes for piwigo 2.0
25| 2.0.1   | 2008/12/28 | * convert classe tables.class.inc to php5
26| 2.0.2   | 2009/04/26 | * add set_options/get_options for pages_navigation class
27|         |            | * add option to set first/prev/next/last textes
28| 2.0.3   | 2009/07/24 | * modify common_plugin class config loader (r2.0.1)
29| 2.0.4   | 2009/11/29 | * modify users class
30| 2.0.5   | 2010/03/28 | * Uses piwigo pwg_db_* functions instead of mysql_* functions
31|         |            |
32
33
34:: TO DO
35
36:: WHAT ? WHY ?
37This plugin doesn't do anything itself. It just provide classes for others plugins.
38
39Classes version for this package
40    ajax.class.php -v2.0 + ajax.js -v1.0.1
41    common_plugin.class.php -v2.0.2
42    css.class.php -v2.0
43    pages_navigation.class.php -v1.0
44    public_integration.class.php -v1.0
45    tables.class.php -v1.5
46    tabsheets.class.inc.php -v1.1
47    translate.class.inc.php -v2.0.0 + google_translate.js -v2.0.0
48    users_groups.class.inc.php -v1.2
49    genericjs.class.inc.php -v1.0 + genericjs.js -v1.0
50
51See each file to know more about them
52--------------------------------------------------------------------------------
53*/
54
55if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
56
57define('GPC_DIR' , basename(dirname(__FILE__)));
58define('GPC_PATH' , PHPWG_PLUGINS_PATH . GPC_DIR . '/');
59
60define('GPC_VERSION' , '2.0.5');
61
62/*
63  this function return true if class release if greater or equal than needed by the plugin
64*/
65function checkGPCRelease($major, $minor, $minor2)
66{
67  $release = explode(".", GPC_VERSION);
68
69  if(($release[0]>$major) ||
70     ($release[0]==$major)&&($release[1]>$minor) ||
71     ($release[0]==$major)&&($release[1]==$minor)&&($release[2]>=$minor2))
72  {
73    return(true);
74  }
75  return(false);
76}
77
78
79?>
Note: See TracBrowser for help on using the repository browser.